Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class WebRequestContext

    java.lang.Object
      org.jboss.seam.contexts.WebRequestContext

All Implemented Interfaces:
  Context

    public class WebRequestContext

extends Object
implements Context

Version:
  $Revision: 3975 $
Author:
  Gavin King, Thomas Heute

Constructor Summary
`WebRequestContext(ContextAdaptor request)`

Method Summary
`void` | `flush()`
`Object` | `get(Class clazz)`
`Object` | `get(String name)`
`String[]` | `getNames()`
`ScopeType` | `getType()`
`boolean` | `isSet(String name)`
`void` | `remove(String name)`
`void` | `set(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebRequestContext

    public WebRequestContext(ContextAdaptor request)

Method Detail

### getType

    public ScopeType getType()

  Specified by:
    `getType` in interface `Context`

### get

    public Object get(String name)

  Specified by:
    `get` in interface `Context`

### set

    public void set(String name,
                    Object value)

  Specified by:
    `set` in interface `Context`

### isSet

    public boolean isSet(String name)

  Specified by:
    `isSet` in interface `Context`

### remove

    public void remove(String name)

  Specified by:
    `remove` in interface `Context`

### getNames

    public String[] getNames()

  Specified by:
    `getNames` in interface `Context`

### get

    public Object get(Class clazz)

  Specified by:
    `get` in interface `Context`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD